CamBam
News:
 
*
Welcome, Guest. Please login or register.
Did you miss your activation email?
December 11, 2019, 06:46:56 am


Login with username, password and session length


Pages: [1]
  Print  
Author Topic: Linux Mint Future  (Read 297 times)
ubiquity
CNC Ewok
*
Offline Offline

Posts: 28


View Profile
« on: November 06, 2019, 14:58:33 pm »

I am not sure where to share this and I am probably jumping the gun anyway.
The latest Linux Mint newsletter from the development team makes the following comments regarding the development of Linux Mint 19.3 (Tricia):

"Tomboy (the Notes accessory currently built into Linux Mint) will be replaced by Gnote 3.34."
and later in the following part of the article
"With Tomboy gone we no longer need Mono in Linux Mint."

Since we depend on Mono to run CamBam on Linux I thought it might be prudent to bring this to the community's attention. Probably the developers are across this already but I thought for those of us who might assume that mono is already installed with Mint we should be aware that it may no longer come as part of future upgrades.
Logged
onekk
Wookie
****
Offline Offline

Posts: 497


View Profile
« Reply #1 on: November 07, 2019, 17:46:26 pm »

Yes, but in the documentation of Cambam is stated that Mono is required, and I i dind't go wrong there is a good description of the steps needed to install the required libraries.

Logged

Carlo D. (onekk)

eShapeoko #343 750x1000 mm + GRBL + bCNC + CamBam
ubiquity
CNC Ewok
*
Offline Offline

Posts: 28


View Profile
« Reply #2 on: November 08, 2019, 07:12:42 am »

Yes Carlo you are right.
But what I meant was that at the moment Linux Mint 19.2 and earlier includes Mono in their install package,
from 19.3 it will not be included in Linux Mint install so anyone wishing to upgrade from Linux Mint 19.2 to 19.3 or anyone installing 19.3 or later will be forced to download and install Mono from the Mono-project page.
Logged
onekk
Wookie
****
Offline Offline

Posts: 497


View Profile
« Reply #3 on: November 08, 2019, 10:41:38 am »

Not to be polemic, only helpful just in case this discussion is useful for some beginners.

I doubt that Linux Mint didn't have in their "official" repositories Mono available, maybe it not simply installed as a default package, and has to be simply installed from the Linux Mint Repositories.

From what I remember about Linux Mint (having used it in the past) the packages not "Mint specific" are downloadable from the corresponding Ubuntu repositories.

And this maybe it will be a good starting point as some Mono breakage may happens in the Mono-Official packages.

In another post I have some problems with libgdiplus-6.0.4 that Andy has in the Ubuntu distribution and have resolved recompiling the package from sources changing a line of code to make it behave well with CamBam and other Mono programs. (some source modification break the icons on File Open Dialog, the problem is that this dialog is in Mono and all the Mono programs have such bug, but even if it have been reported as bug in Mono is not fixed yet).

The packages in the distribution although not in sync with the latest sources in some case are better for an average user, and maybe are more usable due to the fact that they are not "in development" like it seems to be with the Mono-Official.

Regards

Carlo D.

Logged

Carlo D. (onekk)

eShapeoko #343 750x1000 mm + GRBL + bCNC + CamBam
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2015, Simple Machines

Valid XHTML 1.0! Valid CSS! Dilber MC Theme by HarzeM
Page created in 0.087 seconds with 19 queries.

Copyright © 2018 HexRay Ltd. | Sitemap